=== Maintainer - Maintenance Mode & Coming Soon Pages ===
Contributors: atakanoz, matterwporg, matterwpeng
Tags: maintenance mode, coming soon page, under construction, maintenance, coming soon
Requires at least: 4.7
Tested up to: 6.7
Stable tag: 1.1.2
Requires PHP: 7.3.5
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Fast, simple WordPress maintenance mode and coming soon pages.

== Description ==

Maintainer is an easy-to-use, feature-packed WordPress solution for creating maintenance mode and coming soon pages. It’s designed to be fast and simple, letting you build sleek maintenance pages, upcoming launch announcements, and under-construction notices—without slowing down your site.

**High-Performance Architecture**

- Optimized code with zero impact on site performance
- Loads only when maintenance mode is active
- Lightweight implementation with no external dependencies
- Blazing-fast page delivery

**Professional Customization Options**

- Intuitive settings dashboard for quick configuration
- Fully customizable heading and subheading text
- Professional design templates ready for immediate use
- Custom page titles and meta descriptions
- Nine carefully crafted color schemes

**Advanced Features for Developers**

- IP address whitelist system
- Role-based access controls
- Custom bypass URL parameters
- SEO optimization settings
- Clean, validated HTML output

**Enterprise-Grade Security**

- WordPress security best practices implementation
- Properly sanitized and escaped output
- Minimal server resource utilization
- Regular security updates and maintenance

**Perfect Solution For:**

- Website maintenance periods
- Pre-launch landing pages
- Coming soon announcements
- Under construction notices
- Temporary site offline states
- Agency development workflows

**Built for WordPress Professionals**

- Compatible with latest WordPress versions
- Multisite ready
- Advanced SEO controls
- IP verification system
- Comprehensive documentation

Transform your maintenance mode experience with a solution trusted by professionals. Whether you're an agency, developer, or site owner, Maintainer provides the tools you need for effective site maintenance communication.

== Screenshots ==

1. Main Settings
2. SEO Settings
3. Appearence Settings
4. Access Settings

== Frequently Asked Questions ==

= How do I manage maintenance mode? =

Access and control maintenance mode through:

1. WordPress admin toolbar quick toggle
2. Settings → Maintainer control panel

= What access control options are available? =

Maintainer offers three bypass methods:

1. Role-Based Access - Specify WordPress user roles
2. IP Whitelist - Allow specific IP addresses
3. URL Parameters - Custom access codes via URL

= What customization features are included? =

Comprehensive customization options:

- Primary and secondary headings
- Custom page titles
- Meta description control
- SEO configuration options
- Multiple color schemes
- Custom CSS support

= Is Maintainer optimized for search engines? =

Maintainer implements complete SEO best practices:

- Customizable meta information
- Search engine visibility controls
- Semantic HTML structure
- Clean code output
- Proper data sanitization

== Changelog ==

= 1.0 =

- Initial stable release

= 1.1.0 =

- Complete JavaScript overhaul for improved performance and maintainability
- Freemius integration removed
- Integrated MatterWP Subscription Manager for better user engagement
- Introduced a new "Content Settings" tab for easier content management
- Implemented TinyMCE editor for enhanced secondary content editing
- Replaced "Templates" with "Color Schemes" for better customization
- Fixed color issues for consistent appearance
- Enhanced user interface on the settings page for a more intuitive experience

= 1.1.1 =

- Fixed a bug where the plugin affected the frontend styles while not in maintenance mode
