<?php
/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @package Maintainer
 * @subpackage Core
 * @since 1.0.0
 */

namespace Maintainer\Core;

/**
 * Activator
 */
class Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function run() {
		// Define options with their default values
		$options = [ 
			'maintainer_active' => false,
			'maintainer_primary_text' => 'Coming Soon',
			'maintainer_secondary_text' => '',
			'maintainer_page_title' => 'Coming Soon',
			'maintainer_page_description' => '',
			'maintainer_noindex' => true,
			'maintainer_template' => 'gray',
			'maintainer_ips' => [],
			'maintainer_roles' => []

		];

		// Add options if they don't exist
		foreach ( $options as $option_name => $default_value ) {
			if ( get_option( $option_name ) === false ) {
				add_option( $option_name, $default_value );
			}
		}

		// Generate a random text key in the format "A12345" if not set
		if ( get_option( 'maintainer_query' ) === false ) {
			$random_letter = chr( wp_rand( 65, 90 ) ); // ASCII values for A-Z
			$random_number = wp_rand( 10000, 99999 );
			$random_key    = $random_letter . $random_number;
			add_option( 'maintainer_query', $random_key );
		}
	}

}