<?php
/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @package Maintainer
 * @subpackage Core
 * @since 1.0.0
 */

namespace Maintainer\Core;

/**
 * Deactivator
 */
class Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function run() {
		$options = array(
			'maintainer_active'           => false,
			'maintainer_primary_text'     => 'Coming Soon',
			'maintainer_secondary_text'   => '',
			'maintainer_page_title'       => '',
			'maintainer_page_description' => '',
			'maintainer_noindex'          => true,
			'maintainer_template'         => '',
			'maintainer_ips'              => array(),
			'maintainer_roles'            => array(),
			'maintainer_query'            => '',

		);

		// Add options if they don't exist
		foreach ( $options as $option_name => $default_value ) {

			delete_option( $option_name, $default_value );

		}

		delete_option( 'maintainer_show_welcome' );
	}

}